> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a SubmissionDraft by ID



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/submissiondraft/{id}
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/submissiondraft/{id}:
    get:
      tags:
        - SubmissionDraft
      summary: Get a SubmissionDraft by ID
      operationId: getSubmissionDraftById
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmissionDraft'
          description: SubmissionDraft found
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
      security:
        - BearerAuth: []
components:
  schemas:
    SubmissionDraft:
      properties:
        abstract:
          type: string
        answersJson:
          description: Arbitrary JSON value
        createdAt:
          format: date-time
          type: string
        eventId:
          type: string
        finalizedAt:
          format: date-time
          type: string
        finalizedSubmissionId:
          type: string
        formId:
          type: string
        id:
          type: string
        lifecycle:
          type: string
        name:
          type: string
        orgId:
          type: string
        ownerUserId:
          type: string
        title:
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - orgId
        - eventId
        - formId
        - ownerUserId
        - name
        - title
        - lifecycle
        - createdAt
        - updatedAt
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````